
From: Anton Blanchard <anton@samba.org>

From: Olof Johansson <olof@austin.ibm.com>

Minor cleanup: Use C99 initializers for the screen_info struct.

Signed-off-by: Olof Johansson <olof@austin.ibm.com>
Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/setup.c |   15 ++++++---------
 1 files changed, 6 insertions(+), 9 deletions(-)

diff -puN arch/ppc64/kernel/setup.c~ppc64-switch-screen_info-init-to-c99 arch/ppc64/kernel/setup.c
--- 25/arch/ppc64/kernel/setup.c~ppc64-switch-screen_info-init-to-c99	2004-08-18 21:26:00.903151320 -0700
+++ 25-akpm/arch/ppc64/kernel/setup.c	2004-08-18 21:26:00.909150408 -0700
@@ -112,15 +112,12 @@ static struct notifier_block ppc64_panic
  * these processors use on existing boards.  -- Dan
  */ 
 struct screen_info screen_info = {
-	0, 25,			/* orig-x, orig-y */
-	0,			/* unused */
-	0,			/* orig-video-page */
-	0,			/* orig-video-mode */
-	80,			/* orig-video-cols */
-	0,0,0,			/* ega_ax, ega_bx, ega_cx */
-	25,			/* orig-video-lines */
-	1,			/* orig-video-isVGA */
-	16			/* orig-video-points */
+	.orig_x = 0,
+	.orig_y = 25,
+	.orig_video_cols = 80,
+	.orig_video_lines = 25,
+	.orig_video_isVGA = 1,
+	.orig_video_points = 16
 };
 
 /*
_
